//
//  NSApplicationAdditions.h
//  Queries
//
//  Created by Seth Willits on 1/25/08.
//  Copyright 2008 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSApplication (AraeliumSupportPathAdditions)

// New
+ (NSString *)applicationSupportDirectory:(NSSearchPathDomainMask)domain;
+ (NSString *)directoryInApplicationSupportDirectory:(NSString *)folderName domain:(NSSearchPathDomainMask)domain;
+ (NSString *)pathInApplicationSupportDirectory:(NSString *)pathName domain:(NSSearchPathDomainMask)domain;

// Old
+ (NSString *)applicationSupportFolder;
+ (NSString *)sharedApplicationSupportFolder;
+ (NSString *)folderInSharedApplicationSupportFolder:(NSString *)folderName;
+ (NSString *)pathInSharedApplicationSupportFolder:(NSString *)pathName;
+ (NSString *)folderInApplicationSupportFolder:(NSString *)folderName;
+ (NSString *)pathInApplicationSupportFolder:(NSString *)pathName;

@end


#if NS_BLOCKS_AVAILABLE
@interface NSApplication (AraeliumSheetAdditions)
- (void)beginSheet:(NSWindow *)sheet modalForWindow:(NSWindow *)docWindow completionHandler:(void (^)(NSInteger returnCode))block;
@end
#endif
